System.ServiceModel 4.0.0.0 System.Object

A is an associative set of objects bound to an object of the developer's choosing. It allows you to match candidate Uniform Resource Identifiers (URIs) against the templates in the set and retrieve the data associated with the matching templates. The contents of can be changed until the method is called, at which time one of following types of validation occurs:

When is called passing in false, the checks to make sure the table contains no multiple structurally-equivalent templates. If it finds such templates, it throws an exception. This type of validation is used in conjunction with when you want to ensure only one template matches an incoming URI.

When is called passing in true, multiple structurally-equivalent templates can be contained within a . However, any query strings in the templates must not be ambiguous; identical query strings are allowed. crabout ambiguous query strings, see UriTemplate and UriTemplateTable.

A class that represents an associative set of objects.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified collection of key/value pairs.

  A collection of key/value pairs that consist of URI templates and associated data.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified base address.

  A instance that contains the base address.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified base address and collection of key/value pairs.

  A instance that contains the base address.
  A collection of key/value pairs that consist of URI templates and associated data.
- Property
  4.0.0.0
  System.Uri To be added.

  The property can only be set prior to calling or or otherwise an is thrown.

  Gets and sets the base address for the instance.

- Property
  4.0.0.0
  System.Boolean To be added.

  A is read only after the method is called.

  Gets a value that specifies whether the is read only.

- Property
  4.0.0.0
  System.Collections.Generic.IList<System.Collections.Generic.KeyValuePair<System.UriTemplate,System.Object>> To be added.

  Each instance in the table has data associated with it. The property contains a collection of key value pairs where the key is a instance and the value is the data associated with the . Values can only be added to property prior to calling or or otherwise a is thrown.

  Gets a collection of key/value pairs that consist of objects and their associated data.

- Method
  4.0.0.0
  System.Void ``

  When the method is called, one of the following types of validation occurs:

  When is called passing in false, the checks to make sure the table contains no multiple structurally-equivalent templates. If it finds such templates, an exception is thrown. This type of validation is used in conjunction with when you want to ensure only one template matches an incoming URI.

  When is called passing in true, multiple structurally-equivalent templates can be contained within a . However, any query strings in the templates must not be ambiguous; identical query strings are allowed. This type of validation is used in conjunction with when multiple template matches are allowed on the candidate URI.

  Only the first call to is honored, subsequent calls are ignored without any exception being thrown.

  Makes the read only.

  Specifies whether to allow duplicate equivalent instances in the .
- Method
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.UriTemplateMatch> ``

  This method may return multiple matches.

  Attempts to match a candidate to the .

  A collection of instances.

  The candidate URI.
- Method
  4.0.0.0
  System.UriTemplateMatch ``

  This method returns, at most, one match. If more than one match is found, a is thrown.

  Attempts to match a candidate to the .

  A single instance.

  The candidate URI.